rs.initiate(
  {
    "_id": {{ mongodb_shardsvr.replSetName|to_json }},
    "members": [
{% for host in mongodb_shardsvr_member_hosts %}
{% if 0 < loop.index0 %},{% endif %}
      {
        "_id": {{ loop.index0|to_json }},
        "host": {{ [host,mongodb_shardsvr_options.net.port]|join(':')|to_json }}
      }
{% endfor %}
    ]
  }
)
